<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\Subgruposcie10Table;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\Subgruposcie10Table Test Case
 */
class Subgruposcie10TableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\Subgruposcie10Table
     */
    protected $Subgruposcie10;

    /**
     * Fixtures
     *
     * @var list<string>
     */
    protected array $fixtures = [
        'app.Subgruposcie10',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('Subgruposcie10') ? [] : ['className' => Subgruposcie10Table::class];
        $this->Subgruposcie10 = $this->getTableLocator()->get('Subgruposcie10', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->Subgruposcie10);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @uses \App\Model\Table\Subgruposcie10Table::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
